Subject: Re: bug#72268: 31.0.50; Color emoji rendering

From: Manuel Giraud <[email-masked]>
Date: Thu, 25 Jul 2024 22:07:15 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Thu, 25 Jul 2024 18:15:46 +0200
>> 
>> > More importantly, I don't think I understand the user-level meaning of
>> > this.  You say "compressed color Emoji", but what does that mean in
>> > practice?  Does it mean no font which supports color Emoji display
>> > will ever work on OpenBSD unless the FreeType library is rebuilt with
>> > PNG support?
>> 
>> I'm not sure myself.  "compressed color Emoji" is a copy-paste I made
>> from sthen@ own words.  Maybe it is refering to the PNG compression.
>
> Since it says "compressed color Emoji", it probably refers to the
> font.  If we cannot establish whether there are any color Emoji fonts
> that don't need "compressed" PNG, we should probably not mention the
> "compressed" part at all, but just say that one needs FreeType with
> PNG support to use any color Emoji fonts.

Ok, I'll remove the "compressed" then.

[...]

>> I am wary about adding the described workaround because it modifies the
>> system's FreeType library for all applications.  And it does so by
>> relying on a ports (think a 3rd party package) of libpng.  I don't know
>> what would happen should someone remove the libpng package after having
>> applied this workaround.  Also, as explained in this recipe, it will be
>> gone after each system upgrade.
>
> We can include the caveats in the text, so that users could make
> informed decisions for themselves.
>
>> My idea was more to record this limitation into "etc/PROBLEMS" for
>> future reference.
>
> That's not what PROBLEMS is for.  If a problem has a solution or a
> workaround, we should describe them.  Maybe it's just me, but I see
> rebuilding FreeType as a no-brainer, so if I were in your shoes, I
> would not have hesitated to rebuild it.  I'm quite sure there are
> others who would think the same.

Yes I understand.  I could try to rephrase a bit what's on Reddit but I
don't think we should go into the details of how to build a library of
Xenocara (OpenBSD Xorg modules compilation): there is the release(8)
manpage for this.
-- 
Manuel Giraud